# $Revision: 1.46 $, $Date: 2012/01/31 11:55:47 $
Summary:	WWW gateway to LDAP server
Summary(pl.UTF-8):	Bramka WWW do serwera LDAP
Name:		web2ldap
Version:	1.1.0rc1
Release:	2
License:	distributable (mostly GPL)
Group:		Applications
Source0:	http://www.web2ldap.de/download/%{name}-%{version}.tar.gz
# Source0-md5:	dd51bfcc7a639f90ca9c29a2bb977f48
Source1:	%{name}.tmpfiles
Patch0:		%{name}-config.patch
Patch1:		%{name}-paths.patch
URL:		http://www.web2ldap.de/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-pyasn1
Requires:	python-pyasn1_modules
%pyrequires_eq	python-modules
Requires:	python-ldap
Requires:	python-pyweblib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is:
- a generic LDAPv3 client which does not make any assumptions about
  the tree structure or LDAP schema.
- kind of a swiss-army knife for accessing/manipulating LDAP servers
  without having to configure anything.
- a secure LDAP client with clean login behaviour.
- a schema browser which displays references/dependencies within an
  LDAPv3 schema.
- continously maintained software.

%description -l pl.UTF-8
To jest:
- ogólny klient LDAPv3, nie czyniący żadnych założeń dotyczących
  struktury drzewa ani schematu LDAP
- narzędzie do dostępu i manipulacji na serwerach LDAP bez potrzeby
  konfiguracji
- bezpieczny klient LDAP czysto logujący się
- przeglądarka schematów wyświetlająca odwołania i zależności wewnątrz
  schematu LDAPv3
- stale utrzymywane oprogramowanie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
for dir in pylib sbin fcgi; do
	python -c "import compileall; compileall.compile_dir('$dir')"
	python -O -c "import compileall; compileall.compile_dir('$dir')"
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_datadir}/%{name}/htdocs} \
		$RPM_BUILD_ROOT/var{/run,/lib,/log}/%{name} \
		$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

cp -a etc/web2ldap $RPM_BUILD_ROOT%{_sysconfdir}
cp -a fcgi pylib sbin $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a htdocs/css $RPM_BUILD_ROOT%{_datadir}/%{name}/htdocs
find $RPM_BUILD_ROOT%{_datadir}/%{name}/pylib -name "*.py" | xargs rm
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/sbin/compile*
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/sbin/*.py
echo '#!/bin/sh' > $RPM_BUILD_ROOT%{_sbindir}/%{name}
echo 'exec python %{_datadir}/%{name}/sbin/%{name}.pyc $*' \
	>> $RPM_BUILD_ROOT%{_sbindir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README htdocs/* etc/httpd
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pylib
%{_datadir}/%{name}/htdocs
%{_datadir}/%{name}/sbin

%dir %{_datadir}/%{name}/fcgi
%attr(755,root,root) %{_datadir}/%{name}/fcgi/web2ldap.py
%{_datadir}/%{name}/fcgi/*.py[co]

/usr/lib/tmpfiles.d/%{name}.conf
%dir %attr(775,root,http) /var/*/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: web2ldap.spec,v $
Revision 1.46  2012/01/31 11:55:47  baggins
- release 2

Revision 1.45  2012/01/31 11:32:25  baggins
- added tmpfiles config for systemd

Revision 1.44  2012/01/29 14:34:24  adamg
- updated to 1.1.0rc1; scgi support dropped

Revision 1.43  2012/01/29 13:27:22  adamg
- paths fix

Revision 1.42  2012/01/29 13:14:32  adamg
- Requires: python-pyasn1, python-pyasn1_modules

Revision 1.41  2011/07/03 12:13:57  adamg
- updated to 1.1.0a36

Revision 1.40  2011/03/23 13:54:20  lisu
- up to 1.1.0a29
- use __rm macro
- uce cp -a

Revision 1.39  2010/12/10 11:32:55  lisu
- 1.1.0a27

Revision 1.38  2010/10/28 09:09:06  lisu
- 1.1.0a26

Revision 1.37  2010/09/30 10:24:44  lisu
- 1.1.0a25

Revision 1.36  2010/09/25 18:10:40  lisu
- 1.1.0a24

Revision 1.35  2010/06/07 12:28:38  lisu
- 1.1.0a23

Revision 1.34  2010/05/14 12:39:04  lisu
- 1.1.0a22

Revision 1.33  2010/04/26 11:54:24  lisu
- 1.1.0a21

Revision 1.32  2010/02/23 17:56:05  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.31  2010/02/23 13:42:05  lisu
- up to 1.1.0a19

Revision 1.30  2009/08/10 12:32:37  lisu
- up to 1.0.29

Revision 1.29  2009/08/05 13:56:40  lisu
- up to 1.0.28

Revision 1.28  2009/07/26 09:53:26  adamg
- updated to 1.0.27

Revision 1.27  2009/07/20 09:01:40  lisu
- updated to 1.0.25

Revision 1.26  2009/07/15 14:25:20  lisu
- pl fixes

Revision 1.25  2009/07/15 14:21:47  lisu
- up to 1.0.23

Revision 1.24  2009/04/25 09:37:22  adamg
- updated to 1.0.20

Revision 1.23  2007/07/24 13:59:17  speedo
- updated to 0.16.16

Revision 1.22  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.20  2006/06/07 19:33:42  speedo
- u[dated to 0.16.11

Revision 1.19  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.18  2005/11/07 14:47:57  speedo
- updated to 0.16.0

Revision 1.17  2005/01/15 17:36:48  darekr
- updated to 0.15.6, more docs

Revision 1.16  2004/11/12 21:12:53  paladine
- updated to 0.15.4

Revision 1.15  2004/10/31 11:22:49  darekr
- ops. updated md5sum

Revision 1.14  2004/10/31 11:20:36  darekr
- updated to 0.15.2

Revision 1.13  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.12  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.10  2003/08/02 22:02:07  luzik
 - updated to 0.11.24
 - note: templates moved to /etc

Revision 1.9  2003/07/12 09:52:20  luzik
 - typo

Revision 1.8  2003/05/28 13:02:46  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:27:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/19 22:22:17  qboosh
- pl description

Revision 1.5  2003/01/17 11:43:06  jajcus
- premisions of /var/*/* dirs fixed

Revision 1.4  2003/01/17 10:20:49  jajcus
- fcgi/scgi scripts made more usable (*.py files installed as executable)

Revision 1.3  2003/01/17 09:41:33  jajcus
- CSS files installed in %%{_datadir}

Revision 1.2  2003/01/17 08:34:52  jajcus
- s/PyWebLib/pyweblib/

Revision 1.1  2003/01/16 14:41:53  jajcus
- new spec, NFY
